### Property

# Soup WebsocketConnection:connection-type

since: 3.0

#### Declaration

    property connection-type: Soup.WebsocketConnectionType [ read, write, construct-only ]

#### Description [src]

The type of connection (client/server).

Type: | `SoupWebsocketConnectionType`
Available since: | 3.0

Default value | SOUP_WEBSOCKET_CONNECTION_UNKNOWN
Getter method | `soup_websocket_connection_get_connection_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes